#!/bin/ksh
# Index my web files.

test -f /search/estraier/SETUP && . /search/estraier/SETUP
logmsg start

dir=/doc/html/htdocs
text='-ft'
html='-fh'

# If the search directory exists, then update it with
# recently-modified files.

if test -d "$dbname"; then
    opts='-cl -sd -cm'
    findopt="-newer $dbname/_fwm"
else
    opts='-sd'
    findopt=
fi

# Get a list of all text files under my webpage.

gfind $dir -type f $findopt -print0 > $flist

if test -s "$flist"
then
  gxargs -0 file -N < $flist | grep ": .* text" > $tmp
else
  cleanup nothing to do, exiting
fi

# Index non-HTML files as text, and HTML files as (surprise) HTML.

grep -v 'HTML document text' $tmp |
  sed -e 's/: .* text.*//' |
  estcmd gather $opts $text $dbname -

grep 'HTML document text' $tmp |
  sed -e 's/: .* text.*//' |
  estcmd gather $opts $html $dbname -

estcmd extkeys $dbname
estcmd optimize $dbname
estcmd purge -cl $dbname
cleanup
